Subject: bug#15850: closed (Re: bug#15850: 24.3.50; Menubar: Stagger the popups for greater clarity)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 10 Nov 2013 09:20:05 +0000

Your bug report

#15850: 24.3.50; Menubar: Stagger the popups for greater clarity

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
15850: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=15850
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#15850: 24.3.50; Menubar: Stagger the popups for greater clarity
From: Jan Djärv <[email-masked]>
To: Jambunathan K <[email-masked]>
Cc: [email-masked]
Date: Sun, 10 Nov 2013 10:19:49 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello.

10 nov 2013 kl. 08:58 skrev Jambunathan K <[email-masked]>:

> 
> 1. C-x C-f somefile.pl
> 2. M-x cperl-mode
> 3. Menu->Perl->Tools-Tags
> 
>   See the attached screenshot.  If you inspect VERY KEENLY the "Tags"
>   menu is overlaid PERFECTLY on the top of it's grandparent.  
> 
>   The camouflaging is so perfect and I was confused why the submenu
>   wasn't popping when "Tags" has arrow key next to it.
> 
> What should happen:
> ===================
> 
> Please stagger the sub-menus a bit.  The UI is very deceptive.

Emacs does not (and can not) place menus with Gtk+.  I suggest you file a bug report there, but it will probably be ignored as you are using an outdated Gtk+ version.

Closing, not an Emacs bug.

	Jan D.

> 
> In GNU Emacs 24.3.50.4 (i686-pc-linux-gnu, GTK+ Version 2.20.1)
> of 2013-11-09 on debian-6.05
> Bzr revision: 115051 [email-masked]
> Windowing system distributor `The X.Org Foundation', version 11.0.10707000
> System Description:	Debian GNU/Linux 6.0.5 (squeeze)

Subject: 24.3.50; Menubar: Stagger the popups for greater clarity
From: Jambunathan K <[email-masked]>
To: [email-masked]
Date: Sun, 10 Nov 2013 13:28:25 +0530
List-Id: <debbugs-submit.debbugs.gnu.org>

1. C-x C-f somefile.pl
2. M-x cperl-mode
3. Menu->Perl->Tools-Tags

   See the attached screenshot.  If you inspect VERY KEENLY the "Tags"
   menu is overlaid PERFECTLY on the top of it's grandparent.  

   The camouflaging is so perfect and I was confused why the submenu
   wasn't popping when "Tags" has arrow key next to it.

What should happen:
===================

Please stagger the sub-menus a bit.  The UI is very deceptive.

In GNU Emacs 24.3.50.4 (i686-pc-linux-gnu, GTK+ Version 2.20.1)
 of 2013-11-09 on debian-6.05
Bzr revision: 115051 [email-masked]
Windowing system distributor `The X.Org Foundation', version 11.0.10707000
System Description:	Debian GNU/Linux 6.0.5 (squeeze)